summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2003-06-06 10:22:20 +0000
committerPeter Palfrader <peter@palfrader.org>2003-06-06 10:22:20 +0000
commit902c505e4ad26e5fcf261410710cc45530c8223f (patch)
tree4f18656a8dd85a3cdd6d19d872fcbae6800e335c
parentf31116ccddc29da5b6435be2680e238a08405dac (diff)
Exit with error if we fail to stop pingd
-rwxr-xr-xdebian/echolot.init4
-rwxr-xr-xtools/pingctl4
2 files changed, 4 insertions, 4 deletions
diff --git a/debian/echolot.init b/debian/echolot.init
index 616aa2b..101b75d 100755
--- a/debian/echolot.init
+++ b/debian/echolot.init
@@ -38,8 +38,8 @@ wait_for_deaddaemon () {
cnt=`expr $cnt + 1`
if [ $cnt -gt 30 ]
then
- echo -n " Failed.. "
- break
+ echo " Failed.. "
+ exit 1
fi
sleep 2
echo -n "."
diff --git a/tools/pingctl b/tools/pingctl
index ba99c19..3055055 100755
--- a/tools/pingctl
+++ b/tools/pingctl
@@ -35,8 +35,8 @@ wait_for_deaddaemon () {
cnt=`expr $cnt + 1`
if [ $cnt -gt 30 ]
then
- echo -n " Failed.. "
- break
+ echo " Failed.. "
+ exit 1;
fi
sleep 2
echo -n "."